Package org.kapott.hbci.passport.storage.format

# Class AbstractFormat

java.lang.Object
org.kapott.hbci.passport.storage.format.AbstractFormat

All Implemented Interfaces:
  `PassportFormat`

Direct Known Subclasses:
  `AESFormat`, `LegacyFormat`

public abstract class AbstractFormat extends Object implements PassportFormat
Abstrakte Basis-Klasse der Formate.

## Constructor Summary

Constructors
Constructor
Description
`AbstractFormat()`

## Method Summary

Modifier and Type
Method
Description
`protected Cipher`
`getCipher()`
Liefert den zu verwendenden Cipher.
`protected abstract String`
`getCipherAlg()`
Liefert den zu verwendenden Cipher-Algorithmus.
`protected char[]`
`getPassword(HBCIPassport passport, boolean forSaving)`
Fragt den User per Callback nach dem Passwort fuer die Passport-Datei.
`boolean`
`supported()`
Testet, ob das Format auf dem System unterstuetzt wird.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.storage.format.PassportFormat

`load, save`

## Constructor Details

### AbstractFormat

public AbstractFormat()

## Method Details

### supported

public boolean supported()
Description copied from interface: `PassportFormat`
Testet, ob das Format auf dem System unterstuetzt wird.

Specified by:
  `supported` in interface `PassportFormat`
Returns:
  true, wenn es unterstuetzt wird.
See Also:
  - `PassportFormat.supported()`

### getCipher

protected Cipher getCipher() throws GeneralSecurityException
Liefert den zu verwendenden Cipher.

Returns:
  der zu verwendende Cipher.
Throws:
  `GeneralSecurityException`

### getCipherAlg

protected abstract String getCipherAlg()
Liefert den zu verwendenden Cipher-Algorithmus.

Returns:
  der zu verwendende Cipher-Algorithmus.

### getPassword

protected char[] getPassword(HBCIPassport passport, boolean forSaving) throws GeneralSecurityException
Fragt den User per Callback nach dem Passwort fuer die Passport-Datei.

Parameters:
  `passport` - der Passport.
  `forSaving` - true, wenn das Passwort zum Speichern erfragt werden soll.
Returns:
  das Passwort.
Throws:
  `GeneralSecurityException` - wenn das Passwort nicht ermittelt werden konnte.